## global

global —

## Synopsis

    #define     CONG_GCONF_PATH
    #define     RELEASE
    #define     isblank                         (c)
    #define     NEW_LOOK
    #define     CONG_VALIDATE_UTF8              (str)
    CongEditorView* cong_editor_view_new        (CongDocument *doc);
    void        cong_editor_view_free           (CongEditorView *editor_view);
    GtkWidget*  cong_editor_view_get_widget     (CongEditorView *editor_view);
    GtkWidget*  cong_dom_view_new               (CongDocument *doc);
    GtkWidget*  cong_source_view_new            (CongDocument *doc);
    GtkWidget*  cong_debug_message_log_view_new (CongDocument *doc);
    GtkWidget*  cong_debug_signal_log_view_new  (CongDocument *doc);
    GtkWidget*  cong_node_properties_dialog_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 GtkWindow *parent_window);
    GtkWidget*  cong_gui_get_a_window           (void);
    gint        cong_cursor_blink               ();
    void        new_document                    (GtkWindow *parent_window);
    const char* xml_frag_data_nice              (CongNodePtr x);
    const char* xml_frag_name_nice              (CongNodePtr x);
    GList*      xml_all_present_span_elements   (CongDispspec *ds,
                                                 CongNodePtr node);
    GList*      xml_all_valid_span_elements     (CongDispspec *ds,
                                                 CongNodePtr node);
    char*       xml_fetch_clean_data            (CongNodePtr x);
    char*       tag_new_pick                    ();
    void        open_document                   (GtkWindow *parent_window);
    gint        save_document                   (CongDocument *doc,
                                                 GtkWindow *parent_window);
    gint        save_document_as                (CongDocument *doc,
                                                 GtkWindow *parent_window);
    gchar*      cong_get_file_name              (const gchar *title,
                                                 const gchar *filename,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action);
    char*       pick_structural_tag             (CongDispspec *ds);
    void        open_document_do                (const gchar *doc_name,
                                                 GtkWindow *parent_window);
    #define     UNUSED_VAR                      (x)
    int         gui_window_new_document_make    ();
    void        col_to_gcol                     (GdkColor *gcol,
                                                 unsigned int col);
    void        cong_cursor_init                (CongCursor *curs,
                                                 CongDocument *doc);
    void        cong_cursor_uninit              (CongCursor *curs);
    void        cong_cursor_on                  (CongCursor *curs);
    void        cong_cursor_off                 (CongCursor *curs);
    int         cong_cursor_paragraph_insert    (CongCursor *curs);
    gboolean    cong_cursor_calc_prev_char      (CongCursor *curs,
                                                 CongDocument *doc,
                                                 CongLocation *output_loc);
    gboolean    cong_cursor_calc_next_char      (CongCursor *curs,
                                                 CongDocument *doc,
                                                 CongLocation *output_loc);
    void        cong_cursor_next_line           (CongCursor *curs,
                                                 CongSpanEditor *xed);
    void        cong_cursor_del_prev_char       (CongCursor *curs,
                                                 CongDocument *doc);
    void        cong_cursor_del_next_char       (CongCursor *curs,
                                                 CongDocument *doc);
    void        cong_cursor_home                (CongCursor *curs,
                                                 CongDocument *doc);
    void        cong_cursor_end                 (CongCursor *curs,
                                                 CongDocument *doc);
    void        editor_popup_show               (GtkWidget *widget,
                                                 GdkEventButton *bevent);
    void        editor_popup_build              (CongEditorWidget3 *editor_widget,
                                                 GtkWindow *parent_window);
    void        editor_popup_init               ();
    GtkWidget*  cong_ui_popup_init              (CongDocument *doc,
                                                 CongNodePtr node,
                                                 GtkWindow *parent_window);
    void        xv_style_r                      (GtkWidget *widget,
                                                 gpointer data);
    CongDispspec* query_for_forced_dispspec     (gchar *what_failed,
                                                 xmlDocPtr doc,
                                                 GtkWindow *parent_window,
                                                 const gchar *filename_extension);
    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);
    gint        toolbar_callback_open           (GtkWidget *widget,
                                                 gpointer data);
    gint        toolbar_callback_cut            (GtkWidget *w,
                                                 gpointer data);
    gint        toolbar_callback_copy           (GtkWidget *w,
                                                 gpointer data);
    gint        toolbar_callback_paste          (GtkWidget *w,
                                                 gpointer data);
    void        menu_callback_debug_error       (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_document_types
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_transform_docbook_to_html
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_transform_docbook_to_xhtml
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_transform_docbook_to_html_help
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_transform_docbook_to_javahelp
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_transform_docbook_to_fo
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_preview_fo  (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        cong_gnome_print_render_xslfo   (xmlDocPtr xml_doc,
                                                 GnomePrintMaster *gpm);
    void        menu_callback_debug_dtd         (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        menu_callback_debug_dialog      (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);
    void        cong_menus_create_items         (GtkItemFactory *item_factory,
                                                 CongPrimaryWindow *primary_window);
    GtkWidget*  cong_file_properties_dialog_new (CongDocument *doc,
                                                 GtkWindow *parent_window);
    xmlAttrPtr  xmlNewProp_NUMBER               (xmlNodePtr node,
                                                 const xmlChar *name,
                                                 int value);

## Description

## Details

### CONG_GCONF_PATH

    #define CONG_GCONF_PATH "/apps/conglomerate/"

### RELEASE

    #define RELEASE 1

### isblank()

    # define isblank(c) ((c) == ' ' || (c) == '\n' || (c) == '\r' || (c) == '\t')

`c` : |

### NEW_LOOK

    #define NEW_LOOK 1

### CONG_VALIDATE_UTF8()

    #define     CONG_VALIDATE_UTF8(str)

`str` : |

### cong_editor_view_new ()

    CongEditorView* cong_editor_view_new        (CongDocument *doc);

`doc` : |
Returns : |

### cong_editor_view_free ()

    void        cong_editor_view_free           (CongEditorView *editor_view);

`editor_view` : |

### cong_editor_view_get_widget ()

    GtkWidget*  cong_editor_view_get_widget     (CongEditorView *editor_view);

`editor_view` : |
Returns : |

### cong_dom_view_new ()

    GtkWidget*  cong_dom_view_new               (CongDocument *doc);

TODO: Write me

`doc` : |
Returns : |

### cong_source_view_new ()

    GtkWidget*  cong_source_view_new            (CongDocument *doc);

`doc` : |
Returns : |

### cong_debug_message_log_view_new ()

    GtkWidget*  cong_debug_message_log_view_new (CongDocument *doc);

TODO: Write me

`doc` : |
Returns : |

### cong_debug_signal_log_view_new ()

    GtkWidget*  cong_debug_signal_log_view_new  (CongDocument *doc);

TODO: Write me

`doc` : |
Returns : |

### cong_node_properties_dialog_new ()

    GtkWidget*  cong_node_properties_dialog_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc` : |
`node` : |
`parent_window` : |
Returns : |

### cong_gui_get_a_window ()

    GtkWidget*  cong_gui_get_a_window           (void);

TODO: Write me

Returns : |

### cong_cursor_blink ()

    gint        cong_cursor_blink               ();

TODO: Write me

Returns : |

### new_document ()

    void        new_document                    (GtkWindow *parent_window);

TODO: Write me

`parent_window` : |

### xml_frag_data_nice ()

    const char* xml_frag_data_nice              (CongNodePtr x);

TODO: Write me

`x` : |
Returns : |

### xml_frag_name_nice ()

    const char* xml_frag_name_nice              (CongNodePtr x);

`x` : |
Returns : |

### xml_all_present_span_elements ()

    GList*      xml_all_present_span_elements   (CongDispspec *ds,
                                                 CongNodePtr node);

TODO: Write me

`ds` : |
`node` : |
Returns : |

### xml_all_valid_span_elements ()

    GList*      xml_all_valid_span_elements     (CongDispspec *ds,
                                                 CongNodePtr node);

TODO: Write me

`ds` : |
`node` : |
Returns : |

### xml_fetch_clean_data ()

    char*       xml_fetch_clean_data            (CongNodePtr x);

`x` : |
Returns : |

### tag_new_pick ()

    char*       tag_new_pick                    ();

Returns : |

### open_document ()

    void        open_document                   (GtkWindow *parent_window);

TODO: Write me

`parent_window` : |

### save_document ()

    gint        save_document                   (CongDocument *doc,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc` : |
`parent_window` : |
Returns : |

### save_document_as ()

    gint        save_document_as                (CongDocument *doc,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc` : |
`parent_window` : |
Returns : |

### cong_get_file_name ()

    gchar*      cong_get_file_name              (const gchar *title,
                                                 const gchar *filename,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action);

TODO: Write me

`title` : |
`filename` : |
`parent_window` : |
`action` : |
Returns : |

### pick_structural_tag ()

    char*       pick_structural_tag             (CongDispspec *ds);

`ds` : |
Returns : |

### open_document_do ()

    void        open_document_do                (const gchar *doc_name,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc_name` : |
`parent_window` : |

### UNUSED_VAR()

    #define UNUSED_VAR(x)

`x` : |

### gui_window_new_document_make ()

    int         gui_window_new_document_make    ();

Returns : |

### col_to_gcol ()

    void        col_to_gcol                     (GdkColor *gcol,
                                                 unsigned int col);

TODO: Write me

`gcol` : |
`col` : |

### cong_cursor_init ()

    void        cong_cursor_init                (CongCursor *curs,
                                                 CongDocument *doc);

TODO: Write me

`curs` : |
`doc` : |

### cong_cursor_uninit ()

    void        cong_cursor_uninit              (CongCursor *curs);

TODO: Write me

`curs` : |

### cong_cursor_on ()

    void        cong_cursor_on                  (CongCursor *curs);

`curs` : |

### cong_cursor_off ()

    void        cong_cursor_off                 (CongCursor *curs);

`curs` : |

### cong_cursor_paragraph_insert ()

    int         cong_cursor_paragraph_insert    (CongCursor *curs);

TODO: Write me

`curs` : |
Returns : |

### cong_cursor_calc_prev_char ()

    gboolean    cong_cursor_calc_prev_char      (CongCursor *curs,
                                                 CongDocument *doc,
                                                 CongLocation *output_loc);

`curs` : |
`doc` : |
`output_loc` : |
Returns : |

### cong_cursor_calc_next_char ()

    gboolean    cong_cursor_calc_next_char      (CongCursor *curs,
                                                 CongDocument *doc,
                                                 CongLocation *output_loc);

`curs` : |
`doc` : |
`output_loc` : |
Returns : |

### cong_cursor_next_line ()

    void        cong_cursor_next_line           (CongCursor *curs,
                                                 CongSpanEditor *xed);

`curs` : |
`xed` : |

### cong_cursor_del_prev_char ()

    void        cong_cursor_del_prev_char       (CongCursor *curs,
                                                 CongDocument *doc);

TODO: Write me

`curs` : |
`doc` : |

### cong_cursor_del_next_char ()

    void        cong_cursor_del_next_char       (CongCursor *curs,
                                                 CongDocument *doc);

TODO: Write me

`curs` : |
`doc` : |

### cong_cursor_home ()

    void        cong_cursor_home                (CongCursor *curs,
                                                 CongDocument *doc);

`curs` : |
`doc` : |

### cong_cursor_end ()

    void        cong_cursor_end                 (CongCursor *curs,
                                                 CongDocument *doc);

`curs` : |
`doc` : |

### editor_popup_show ()

    void        editor_popup_show               (GtkWidget *widget,
                                                 GdkEventButton *bevent);

TODO: Write me

`widget` : |
`bevent` : |

### editor_popup_build ()

    void        editor_popup_build              (CongEditorWidget3 *editor_widget,
                                                 GtkWindow *parent_window);

TODO: Write me

`editor_widget` : |
`parent_window` : |

### editor_popup_init ()

    void        editor_popup_init               ();

TODO: Write me

### cong_ui_popup_init ()

    GtkWidget*  cong_ui_popup_init              (CongDocument *doc,
                                                 CongNodePtr node,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc` : |
`node` : |
`parent_window` : |
Returns : |

### xv_style_r ()

    void        xv_style_r                      (GtkWidget *widget,
                                                 gpointer data);

`widget` : |
`data` : |

### query_for_forced_dispspec ()

    CongDispspec* query_for_forced_dispspec     (gchar *what_failed,
                                                 xmlDocPtr doc,
                                                 GtkWindow *parent_window,
                                                 const gchar *filename_extension);

TODO: Write me

`what_failed` : |
`doc` : |
`parent_window` : |
`filename_extension` : |
Returns : |

### cong_vfs_new_buffer_from_file ()

    GnomeVFSResult cong_vfs_new_buffer_from_file
                                                (const char *filename,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

TODO: Write me

`filename` : |
`buffer` : |
`size` : |
Returns : |

### cong_vfs_new_buffer_from_uri ()

    GnomeVFSResult cong_vfs_new_buffer_from_uri (GnomeVFSURI *vfs_uri,
                                                 char **buffer,
                                                 GnomeVFSFileSize *size);

TODO: Write me

`vfs_uri` : |
`buffer` : |
`size` : |
Returns : |

### toolbar_callback_open ()

    gint        toolbar_callback_open           (GtkWidget *widget,
                                                 gpointer data);

TODO: Write me

`widget` : |
`data` : |
Returns : |

### toolbar_callback_cut ()

    gint        toolbar_callback_cut            (GtkWidget *w,
                                                 gpointer data);

TODO: Write me

`w` : |
`data` : |
Returns : |

### toolbar_callback_copy ()

    gint        toolbar_callback_copy           (GtkWidget *w,
                                                 gpointer data);

TODO: Write me

`w` : |
`data` : |
Returns : |

### toolbar_callback_paste ()

    gint        toolbar_callback_paste          (GtkWidget *w,
                                                 gpointer data);

TODO: Write me

`w` : |
`data` : |
Returns : |

### menu_callback_debug_error ()

    void        menu_callback_debug_error       (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_document_types ()

    void        menu_callback_debug_document_types
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_transform_docbook_to_html ()

    void        menu_callback_debug_transform_docbook_to_html
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_transform_docbook_to_xhtml ()

    void        menu_callback_debug_transform_docbook_to_xhtml
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_transform_docbook_to_html_help ()

    void        menu_callback_debug_transform_docbook_to_html_help
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_transform_docbook_to_javahelp ()

    void        menu_callback_debug_transform_docbook_to_javahelp
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_transform_docbook_to_fo ()

    void        menu_callback_debug_transform_docbook_to_fo
                                                (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_preview_fo ()

    void        menu_callback_debug_preview_fo  (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

`callback_data` : |
`callback_action` : |
`widget` : |

### cong_gnome_print_render_xslfo ()

    void        cong_gnome_print_render_xslfo   (xmlDocPtr xml_doc,
                                                 GnomePrintMaster *gpm);

`xml_doc` : |
`gpm` : |

### menu_callback_debug_dtd ()

    void        menu_callback_debug_dtd         (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### menu_callback_debug_dialog ()

    void        menu_callback_debug_dialog      (gpointer callback_data,
                                                 guint callback_action,
                                                 GtkWidget *widget);

TODO: Write me

`callback_data` : |
`callback_action` : |
`widget` : |

### cong_menus_create_items ()

    void        cong_menus_create_items         (GtkItemFactory *item_factory,
                                                 CongPrimaryWindow *primary_window);

TODO: Write me

`item_factory` : |
`primary_window` : |

### cong_file_properties_dialog_new ()

    GtkWidget*  cong_file_properties_dialog_new (CongDocument *doc,
                                                 GtkWindow *parent_window);

TODO: Write me

`doc` : |
`parent_window` : |
Returns : |

### xmlNewProp_NUMBER ()

    xmlAttrPtr  xmlNewProp_NUMBER               (xmlNodePtr node,
                                                 const xmlChar *name,
                                                 int value);

TODO: Write me

`node` : |
`name` : |
`value` : |
Returns : |